211 comments

hhphuc20 PURCHASED
Hi Tom,

I want to change primary color. I edited theme-style.scss and compiled it to css but got the error:

Error: Base-level rules cannot contain the parent-selector-referencing character '&'.
on line 442 of core/_navs.scss, in `@content'
from line 58 of assets/bootstrap_src/mixins/_breakpoints.scss, in `media-breakpoint-up'
from line 383 of core/_navs.scss
from line 43 of theme-style.scss
Use --trace for backtrace.

Could you help me on this?

Thanks.
Hi

Are you compiling with gulp or another preprocessor?

Thanks
Tom
hhphuc20 PURCHASED
Hi
I tried Sass command and Koala app. Got the same error.

Thanks.
Phuc
Hi,

It could be that the library versions in Koala are out of sync.

Try using gulp instead, here's the instructions for the /documentation/README.txt file:

Gulp is a task runner which we recommend you use gulp to compile the sass files into css. Included in AppStrap’s /theme directory are 2 files which gulp uses:
1. package.json - this defines the gulp dependencies AppStrap needs to compile the sass files
2. gulpfile.js - this defines the gulp tasks which should run to compile the sass files into css code, there are also some “clean up” tasks run on Javascript & images.

Installing Gulp:
Step 1) Gulp needs node.js & node package manager (npm) to run so those need to be installed first, instructions are here: https://docs.npmjs.com/getting-started/installing-node
Step 2) Open up terminal or command line and type the following command to install gulp globally on your machine:
npm install --global gulp-cli

Type “gulp -v” to ensure gulp installed correctly, if it did you’ll see something like:
[13:42:05] CLI version 3.9.1
[13:42:05] Local version 3.9.1

Step 3) Type the following command to install all the gulp dependencies defined by the package.json file:
npm install --save-dev gulp

If everything work correctly you should see a new directory called “node_modules” which is full of the dependencies. Once you’ve finished your development you can remove this directory and just run the above command again to get the latest dependencies each time.

Step 4) Type the following command to have gulp watch for file changes to the .scss & .js files:
gulp watch

Alternative you can just type “gulp” to compile .scss & .js files and compress all images in the theme on a one off basis. You can use “Ctrl” + “c” to exit gulp at anytime.

You can look for any errors in terminal after running the above commands.

To find out more about gulp see: http://gulpjs.com/

------------------------------------

Hope that helps
Tom
hhphuc20 PURCHASED
Thanks Tom. It worked.
hi what causes this error?

revolution.extension.actions.min.js:7 Uncaught TypeError: Cannot read property 'is_mobile' of undefined
at revolution.extension.actions.min.js:7
at revolution.extension.actions.min.js:7
(anonymous) @ revolution.extension.actions.min.js:7
(anonymous) @ revolution.extension.actions.min.js:7
revolution.extension.layeranimation.min.js:7 Uncaught TypeError: Cannot read property 'is_mobile' of undefined
at revolution.extension.layeranimation.min.js:7
at revolution.extension.layeranimation.min.js:7
(anonymous) @ revolution.extension.layeranimation.min.js:7
(anonymous) @ revolution.extension.layeranimation.min.js:7
revolution.extension.navigation.min.js:7 Uncaught TypeError: Cannot read property 'is_mobile' of undefined
at revolution.extension.navigation.min.js:7
at revolution.extension.navigation.min.js:7
(anonymous) @ revolution.extension.navigation.min.js:7
(anonymous) @ revolution.extension.navigation.min.js:7
Hi,

I've not seen this issue before & it doesn't seem to happen on the demo site: http://demos.themelize.me/appstrap3.0.8/theme/index.html

Have you made any modifications to the theme?

Thanks
Tom
Yes, Thank you for your prompt reply. The support is awesome.

I'm having this problem when I added the scripts in the header.
Because I get the following below messages when I run locally.

Error at loading Slider Revolution 5.0 Extrensions.
Local Filesystem Detected !
Put this to your header:
<script type="text/javascript" src="./assets/plugins/slider-revolution/revolution/js/extensions/revolution.extension.slideanims.min.js"></script>
<script type="text/javascript" src="./assets/plugins/slider-revolution/revolution/js/extensions/revolution.extension.actions.min.js"></script>
<script type="text/javascript" src="./assets/plugins/slider-revolution/revolution/js/extensions/revolution.extension.layeranimation.min.js"></script>
<script type="text/javascript" src="./assets/plugins/slider-revolution/revolution/js/extensions/revolution.extension.navigation.min.js"></script>

After I add the above scripts I get those undefined errors.
Hi,

You might need to move jQuery to the head too but these "Local Filesystem Detected" errors can be fixed by running the site on a live domain (ie example.com) or under localhost.
Slider Rev includes some JS libraries on the fly which requires a domain or localhost.

Hope that helps
Tom
Great thanks tom
Hi Tom

I think the presentation and narration of themes and works are very successful.
I want to buy.

"when preparing websites for personal or small-scale large-scale businesses"
to apply more than one customer, not a single customer
which license type you need to buy ?

Thank you for your interest
Hi,

I think you would need a multiple licence as it's more than one customer.

However, If you plan to resell or redistribute the theme you would need an extended licence.

We have very low prices on extended licences at the moment which will increase soon so now is a good time to get it.

Thanks
Tom
Thank you very much for your quick reply and detailed information.
I will consider buying it.
Best regards
csspt PURCHASED
In the "Onepager with slider" demo, when you choose one of the menus the page scrolls to that section, but the selected menu option does not change to "selected" color, intead the previous menu option does! How do i fix that?
Hi

Do you have a demo URL I can look at?

Thanks
Tom
csspt PURCHASED
Your demo: http://demos.themelize.me/appstrap3.0.8/theme/index-onepager.html
If you click on "Projects" the page scrolls down but the option "Pricing" is the one that gets highlighted. I'm using Chrome. Thanks.
Hi,

Ah ok now I see, thanks for reporting this.

We'll officially fix it in the next release but in the meantime here's updated versions for script.js & script.min.js which should fix it: https://www.dropbox.com/s/ghvlfjde66mznc3/hotfix-2017-09-08.zip?dl=0

Just overwrite the existing script.js & script.min.js files with the ones in the download above.

Thanks
Tom

Write a comment

This is a great way to give the seller feedback and ask them questions about their item.

You must sign in to write a comment

Sign in or sign up to make a purchase

$7

Regularly $12 -42%

4094Purchases

Licenses: Details »

Single application $7
Version:3.0.8
Type:
  • HTML Template
Bootstrap: Compatible with 4.x
Layouts:
  • Responsive
Browsers:
  • IE 9, 10, 11
  • Latest Chrome
  • Latest Edge
  • Latest Firefox
  • Latest Safari
Uses Less:No
Uses Sass:Yes
Categories:
Tags: app, blue, bootstrap 4, green, modern, one page, sass, scss, shop ui
Item#:WB0C6D0H4
Released:4 years ago
Updated:1 month ago
Sold exclusively on WrapBootstrap
themelize_me

themelize_me

Signed up 4 years ago

Need an admin theme?

About Bootstrap

Bootstrap is designed to help people of all skill levels – designer or developer, huge nerd or early beginner. Use it as a complete kit or use it to start something more complex.

Unlike other front-end toolkits, Bootstrap was designed first and foremost as a styleguide to document not only its features, but best practices and living, coded examples.

Built to support new HTML5 elements and syntax with progressively enhanced components.

Browser support

Bootstrap is tested and supported in major modern browsers like Chrome, Firefox, and Internet Explorer.

Tested and supported in Chrome, Safari, Firefox, Internet Explorer, and Opera.
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
  • Latest Edge
  • Internet Explorer 9/10/11
  • Latest Opera

Features & includes

Bootstrap provides an unparalleled array of features and reusable components that let you hit the ground running: